Skip to main content
POST
/
api
/
v2.1
/
consents
/
{consentId}
/
approve
Approve payment consent
curl --request POST \
  --url https://sandbox.finhub.cloud/api/v2.1/consents/{consentId}/approve \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --header 'X-Device-Fingerprint: <x-device-fingerprint>' \
  --header 'X-Device-Type: <x-device-type>' \
  --header 'X-Forwarded-For: <x-forwarded-for>' \
  --header 'X-Forwarded-From: <x-forwarded-from>' \
  --header 'X-Tenant-ID: <x-tenant-id>' \
  --header 'deviceId: <deviceid>' \
  --header 'platform: <platform>' \
  --data '{}'
import requests

url = "https://sandbox.finhub.cloud/api/v2.1/consents/{consentId}/approve"

payload = {}
headers = {
"X-Device-Fingerprint": "<x-device-fingerprint>",
"X-Device-Type": "<x-device-type>",
"X-Forwarded-For": "<x-forwarded-for>",
"X-Tenant-ID": "<x-tenant-id>",
"X-Forwarded-From": "<x-forwarded-from>",
"platform": "<platform>",
"deviceId": "<deviceid>",
"Authorization": "<authorization>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'X-Device-Fingerprint': '<x-device-fingerprint>',
'X-Device-Type': '<x-device-type>',
'X-Forwarded-For': '<x-forwarded-for>',
'X-Tenant-ID': '<x-tenant-id>',
'X-Forwarded-From': '<x-forwarded-from>',
platform: '<platform>',
deviceId: '<deviceid>',
Authorization: '<authorization>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};

fetch('https://sandbox.finhub.cloud/api/v2.1/consents/{consentId}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Headers

X-Device-Fingerprint
string
required
X-Device-Type
string
required
X-Forwarded-For
string
required
Example:

"127.0.0.1"

X-Tenant-ID
string
required
Example:

"tenant-demo-001"

X-Forwarded-From
string
required

Client source identifier

Example:

"client-app"

platform
string
required

Client platform

Example:

"mobile"

deviceId
string
required

Device identifier

Example:

"device-demo-001"

Authorization
string
required

Bearer JWT

Example:

"Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJkZW1vLXVzZXIifQ.demo-signature"

Path Parameters

Example:

"00000000-0000-0000-0000-000000000000"

Body

application/json
{key}
any

Response

200

OK